/*
 *  psychlops_figure_graph.cpp
 *  Psychlops Standard Library (Universal)
 *
 *  Last Modified 2009/03/05 by Kenchi HOSOKAWA
 *  (C) 2009 Kenchi HOSOKAWA, Kazushi MARUYA, Takao SATO
 */

#include "../../../psychlops_core.h"
#include "psychlops_figure_graph.h"


namespace Psychlops {
namespace Graph {

	class BarGraph : public Figure {
	protected:
		Matrix data;
		std::wstring label;
	public:
		virtual ~BarGraph();
		virtual const Point getDatum() const;
		virtual BarGraph& setDatum(const Point &p);
		virtual BarGraph& centering(const Point& p);
		virtual BarGraph& draw(Drawable &drawable = *Drawable::prime);
	};


}
}
